rem Деноминация Основных средств (с проводками)

        d = open("tdata")
        getfirst(d)
        Data = 'Тек.дата'.d
        close(d)
        db1 = open("plan")
        for i = 1 to size(db1)
          if i = 1 then getfirst(db1)
          if i > 1 then getnext(db1)
          if trim('Номер'.db1) = "000" then goto 100
          if trim('Расчеты'.db1) = "ОС" | trim('Расчеты'.db1) = "ос" then goto 800
          goto 100

800       db2 = open(trim('Номер'.db1))
          db3 = open("spoop")
          getlast(db3)
          NumProv = 'N_проводки'.db3 + 1
          print " "
          print trim('Номер'.db1)," - Основные средства"
          count = size(db2)
          for j = 1 to count
            if j = 1 then getfirst(db2)
            if j > 1 then getnext(db2)
            DbSum = 'DbS_конец'.db2
            KrSum = 'KrS_конец'.db2
            if DbSum = 0 then goto 840
            Sum =  num(str(DbSum / 1000,16,2))
            DbSum = DbSum - Sum
            clearbuf(db3)
            'Раб.место'.db3 = 0
            'N_проводки'.db3 = NumProv
            'Дата'.db3 = Data
            'Документ'.db3 = "Деноминац."
            'Примечание'.db3 = "Деноминация на январь 1998г"
            'Kr_расчеты'.db3 = 'Субсчет'.db2
            'Kr_счета'.db3 = 'Номер'.db1
            'Db_расчеты'.db3 = "   "
            'Db_счета'.db3 = "000"
            'Сумма'.db3 = DbSum
            'Бал.ст-ть'.db2 = 'Бал.ст-ть'.db2 / 1000
            'Износ'.db2 = 'Износ'.db2 / 1000
            'Остаточная'.db2 = 'Бал.ст-ть'.db2 - 'Износ'.db2
            insert(db3)
            update(db2)
            NumProv = NumProv + 1
            print trim('Номер'.db1),"/",'Субсчет'.db2

840         if KrSum = 0 then goto 850
            Sum =  num(str(KrSum / 1000,16,2))
            KrSum = KrSum - Sum
            clearbuf(db3)
            'Раб.место'.db3 = 0
            'N_проводки'.db3 = NumProv
            'Дата'.db3 = Data
            'Документ'.db3 = "Деноминац."
            'Примечание'.db3 = "Деноминация на январь 1998г"
            'Db_расчеты'.db3 = 'Субсчет'.db2
            'Db_счета'.db3 = 'Номер'.db1
            'Kr_расчеты'.db3 = "   "
            'Kr_счета'.db3 = "000"
            'Сумма'.db3 = KrSum
            'Бал.ст-ть'.db2 = 'Бал.ст-ть'.db2 / 1000
            'Износ'.db2 = 'Износ'.db2 / 1000
            'Остаточная'.db2 = 'Бал.ст-ть'.db2 - 'Износ'.db2
            insert(db3)
            update(db2)
            NumProv = NumProv + 1
            print trim('Номер'.db1),"/",'Субсчет'.db2
850       next
          close(db2)
          close(db3)

100     next
        close(db1)
        end
